Commit d190b480 authored by Dominic Hargreaves's avatar Dominic Hargreaves

Import perl_5.26.1.orig.tar.xz

parent 4134d675
......@@ -531,6 +531,7 @@ J. Nick Koston <nick@cpanel.net>
J. van Krieken <John.van.Krieken@ATComputing.nl>
Jacinta Richardson <jarich@perltraining.com.au>
Jack Shirazi <JackS@GemStone.com>
Jacques Germishuys <jacquesg@striata.com>
Jacqui Caren <Jacqui.Caren@ig.co.uk>
Jake Hamby <jehamby@lightside.com>
James <james@rf.net>
......@@ -692,6 +693,7 @@ KAWAI Takanori <GCD00051@nifty.ne.jp>
Keedi Kim <keedi@cpan.org>
Keith Neufeld <neufeld@fast.pvi.org>
Keith Thompson <Keith.S.Thompson@gmail.com>
Ken Brown <kbrown@cornell.edu>
Ken Estes <estes@ms.com>
Ken Fox <kfox@ford.com>
Ken Hirsch <kenhirsch@ftml.net>
......
......@@ -23612,7 +23612,7 @@ fi
: add -D_FORTIFY_SOURCE if feasible and not already there
case "$gccversion" in
[45].*) case "$optimize$ccflags" in
[4567].*) case "$optimize$ccflags" in
*-O*) case "$ccflags$cppsymbols" in
*_FORTIFY_SOURCE=*) # Don't add it again.
echo "You seem to have -D_FORTIFY_SOURCE already, not adding it." >&4
......
......@@ -36,8 +36,8 @@ api_subversion='0'
api_version='26'
api_versionstring='5.26.0'
ar='ar'
archlib='/usr/lib/perl5/5.26.0/armv4l-linux'
archlibexp='/usr/lib/perl5/5.26.0/armv4l-linux'
archlib='/usr/lib/perl5/5.26.1/armv4l-linux'
archlibexp='/usr/lib/perl5/5.26.1/armv4l-linux'
archname64=''
archname='armv4l-linux'
archobjs=''
......@@ -56,7 +56,7 @@ castflags='0'
cat='cat'
cc='cc'
cccdlflags='-fpic'
ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.26.0/armv4l-linux/CORE'
ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.26.1/armv4l-linux/CORE'
ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
ccname='arm-linux-gcc'
......@@ -826,7 +826,7 @@ inc_version_list=' '
inc_version_list_init='0'
incpath=''
inews=''
installarchlib='./install_me_here/usr/lib/perl5/5.26.0/armv4l-linux'
installarchlib='./install_me_here/usr/lib/perl5/5.26.1/armv4l-linux'
installbin='./install_me_here/usr/bin'
installhtml1dir=''
installhtml3dir=''
......@@ -834,13 +834,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
installman3dir='./install_me_here/usr/share/man/man3'
installprefix='./install_me_here/usr'
installprefixexp='./install_me_here/usr'
installprivlib='./install_me_here/usr/lib/perl5/5.26.0'
installprivlib='./install_me_here/usr/lib/perl5/5.26.1'
installscript='./install_me_here/usr/bin'
installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.26.0/armv4l-linux'
installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.26.1/armv4l-linux'
installsitebin='./install_me_here/usr/bin'
installsitehtml1dir=''
installsitehtml3dir=''
installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.26.0'
installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.26.1'
installsiteman1dir='./install_me_here/usr/share/man/man1'
installsiteman3dir='./install_me_here/usr/share/man/man3'
installsitescript='./install_me_here/usr/bin'
......@@ -974,8 +974,8 @@ pmake=''
pr=''
prefix='/usr'
prefixexp='/usr'
privlib='/usr/lib/perl5/5.26.0'
privlibexp='/usr/lib/perl5/5.26.0'
privlib='/usr/lib/perl5/5.26.1'
privlibexp='/usr/lib/perl5/5.26.1'
procselfexe='"/proc/self/exe"'
prototype='define'
ptrsize='4'
......@@ -1040,17 +1040,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
sig_size='68'
signal_t='void'
sitearch='/usr/lib/perl5/site_perl/5.26.0/armv4l-linux'
sitearchexp='/usr/lib/perl5/site_perl/5.26.0/armv4l-linux'
sitearch='/usr/lib/perl5/site_perl/5.26.1/armv4l-linux'
sitearchexp='/usr/lib/perl5/site_perl/5.26.1/armv4l-linux'
sitebin='/usr/bin'
sitebinexp='/usr/bin'
sitehtml1dir=''
sitehtml1direxp=''
sitehtml3dir=''
sitehtml3direxp=''
sitelib='/usr/lib/perl5/site_perl/5.26.0'
sitelib='/usr/lib/perl5/site_perl/5.26.1'
sitelib_stem='/usr/lib/perl5/site_perl'
sitelibexp='/usr/lib/perl5/site_perl/5.26.0'
sitelibexp='/usr/lib/perl5/site_perl/5.26.1'
siteman1dir='/usr/share/man/man1'
siteman1direxp='/usr/share/man/man1'
siteman3dir='/usr/share/man/man3'
......@@ -1089,7 +1089,7 @@ stdio_stream_array=''
strerror_r_proto='0'
strings='/usr/include/string.h'
submit=''
subversion='0'
subversion='1'
sysman='/usr/share/man/man1'
tail=''
tar=''
......@@ -1181,8 +1181,8 @@ vendorprefix=''
vendorprefixexp=''
vendorscript=''
vendorscriptexp=''
version='5.26.0'
version_patchlevel_string='version 26 subversion 0'
version='5.26.1'
version_patchlevel_string='version 26 subversion 1'
versiononly='undef'
vi=''
xlibpth='/usr/lib/386 /lib/386'
......@@ -1196,7 +1196,7 @@ config_args=''
config_argc=0
PERL_REVISION=5
PERL_VERSION=26
PERL_SUBVERSION=0
PERL_SUBVERSION=1
PERL_API_REVISION=5
PERL_API_VERSION=26
PERL_API_SUBVERSION=0
......
......@@ -36,8 +36,8 @@ api_subversion='0'
api_version='26'
api_versionstring='5.26.0'
ar='ar'
archlib='/usr/lib/perl5/5.26.0/armv4l-linux'
archlibexp='/usr/lib/perl5/5.26.0/armv4l-linux'
archlib='/usr/lib/perl5/5.26.1/armv4l-linux'
archlibexp='/usr/lib/perl5/5.26.1/armv4l-linux'
archname64=''
archname='armv4l-linux'
archobjs=''
......@@ -55,7 +55,7 @@ castflags='0'
cat='cat'
cc='arm-none-linux-gnueabi-gcc'
cccdlflags='-fpic'
ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.26.0/armv4l-linux/CORE'
ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.26.1/armv4l-linux/CORE'
ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
ccname='arm-linux-gcc'
......@@ -699,7 +699,7 @@ inc_version_list=' '
inc_version_list_init='0'
incpath=''
inews=''
installarchlib='./install_me_here/usr/lib/perl5/5.26.0/armv4l-linux'
installarchlib='./install_me_here/usr/lib/perl5/5.26.1/armv4l-linux'
installbin='./install_me_here/usr/bin'
installhtml1dir=''
installhtml3dir=''
......@@ -707,13 +707,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
installman3dir='./install_me_here/usr/share/man/man3'
installprefix='./install_me_here/usr'
installprefixexp='./install_me_here/usr'
installprivlib='./install_me_here/usr/lib/perl5/5.26.0'
installprivlib='./install_me_here/usr/lib/perl5/5.26.1'
installscript='./install_me_here/usr/bin'
installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.26.0/armv4l-linux'
installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.26.1/armv4l-linux'
installsitebin='./install_me_here/usr/bin'
installsitehtml1dir=''
installsitehtml3dir=''
installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.26.0'
installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.26.1'
installsiteman1dir='./install_me_here/usr/share/man/man1'
installsiteman3dir='./install_me_here/usr/share/man/man3'
installsitescript='./install_me_here/usr/bin'
......@@ -841,8 +841,8 @@ pmake=''
pr=''
prefix='/usr'
prefixexp='/usr'
privlib='/usr/lib/perl5/5.26.0'
privlibexp='/usr/lib/perl5/5.26.0'
privlib='/usr/lib/perl5/5.26.1'
privlibexp='/usr/lib/perl5/5.26.1'
procselfexe='"/proc/self/exe"'
prototype='define'
ptrsize='4'
......@@ -903,17 +903,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
sig_size='68'
signal_t='void'
sitearch='/usr/lib/perl5/site_perl/5.26.0/armv4l-linux'
sitearchexp='/usr/lib/perl5/site_perl/5.26.0/armv4l-linux'
sitearch='/usr/lib/perl5/site_perl/5.26.1/armv4l-linux'
sitearchexp='/usr/lib/perl5/site_perl/5.26.1/armv4l-linux'
sitebin='/usr/bin'
sitebinexp='/usr/bin'
sitehtml1dir=''
sitehtml1direxp=''
sitehtml3dir=''
sitehtml3direxp=''
sitelib='/usr/lib/perl5/site_perl/5.26.0'
sitelib='/usr/lib/perl5/site_perl/5.26.1'
sitelib_stem='/usr/lib/perl5/site_perl'
sitelibexp='/usr/lib/perl5/site_perl/5.26.0'
sitelibexp='/usr/lib/perl5/site_perl/5.26.1'
siteman1dir='/usr/share/man/man1'
siteman1direxp='/usr/share/man/man1'
siteman3dir='/usr/share/man/man3'
......@@ -950,7 +950,7 @@ stdio_stream_array=''
strerror_r_proto='0'
strings='/usr/include/string.h'
submit=''
subversion='0'
subversion='1'
sysman='/usr/share/man/man1'
tail=''
tar=''
......@@ -1035,8 +1035,8 @@ vendorprefix=''
vendorprefixexp=''
vendorscript=''
vendorscriptexp=''
version='5.26.0'
version_patchlevel_string='version 26 subversion 0'
version='5.26.1'
version_patchlevel_string='version 26 subversion 1'
versiononly='undef'
vi=''
xlibpth='/usr/lib/386 /lib/386'
......@@ -1050,7 +1050,7 @@ config_args=''
config_argc=0
PERL_REVISION=5
PERL_VERSION=26
PERL_SUBVERSION=0
PERL_SUBVERSION=1
PERL_API_REVISION=5
PERL_API_VERSION=26
PERL_API_SUBVERSION=0
......
......@@ -588,7 +588,7 @@ The directories set up by Configure fall into three broad categories.
=item Directories for the perl distribution
By default, Configure will use the following directories for 5.26.0.
By default, Configure will use the following directories for 5.26.1.
$version is the full perl version number, including subversion, e.g.
5.12.3, and $archname is a string like sun4-sunos,
determined by Configure. The full definitions of all Configure
......@@ -2451,7 +2451,8 @@ http://www.chiark.greenend.org.uk/~sgtatham/bugs.html
=head1 Coexistence with earlier versions of perl 5
Perl 5.26.0 is not binary compatible with earlier versions of Perl.
Perl 5.26.1 is not binary compatible with versions of Perl earlier than
5.26.0.
In other words, you will have to recompile your XS modules.
In general, you can usually safely upgrade from one version of Perl
......@@ -2526,9 +2527,9 @@ won't interfere with another version. (The defaults guarantee this for
libraries after 5.6.0, but not for executables. TODO?) One convenient
way to do this is by using a separate prefix for each version, such as
sh Configure -Dprefix=/opt/perl5.26.0
sh Configure -Dprefix=/opt/perl5.26.1
and adding /opt/perl5.26.0/bin to the shell PATH variable. Such users
and adding /opt/perl5.26.1/bin to the shell PATH variable. Such users
may also wish to add a symbolic link /usr/local/bin/perl so that
scripts can still start with #!/usr/local/bin/perl.
......@@ -2541,13 +2542,13 @@ seriously consider using a separate directory, since development
subversions may not have all the compatibility wrinkles ironed out
yet.
=head2 Upgrading from 5.25.9 or earlier
=head2 Upgrading from 5.25.12 or earlier
B<Perl 5.26.0 may not be binary compatible with Perl 5.25.9 or
B<Perl 5.26.1 may not be binary compatible with Perl 5.25.12 or
earlier Perl releases.> Perl modules having binary parts
(meaning that a C compiler is used) will have to be recompiled to be
used with 5.26.0. If you find you do need to rebuild an extension with
5.26.0, you may safely do so without disturbing the older
used with 5.26.1. If you find you do need to rebuild an extension with
5.26.1, you may safely do so without disturbing the older
installations. (See L<"Coexistence with earlier versions of perl 5">
above.)
......@@ -2580,15 +2581,15 @@ Firstly, the bare minimum to run this script
print("$f\n");
}
in Linux with perl-5.26.0 is as follows (under $Config{prefix}):
in Linux with perl-5.26.1 is as follows (under $Config{prefix}):
./bin/perl
./lib/perl5/5.26.0/strict.pm
./lib/perl5/5.26.0/warnings.pm
./lib/perl5/5.26.0/i686-linux/File/Glob.pm
./lib/perl5/5.26.0/feature.pm
./lib/perl5/5.26.0/XSLoader.pm
./lib/perl5/5.26.0/i686-linux/auto/File/Glob/Glob.so
./lib/perl5/5.26.1/strict.pm
./lib/perl5/5.26.1/warnings.pm
./lib/perl5/5.26.1/i686-linux/File/Glob.pm
./lib/perl5/5.26.1/feature.pm
./lib/perl5/5.26.1/XSLoader.pm
./lib/perl5/5.26.1/i686-linux/auto/File/Glob/Glob.so
Secondly, for perl-5.10.1, the Debian perl-base package contains 591
files, (of which 510 are for lib/unicore) totaling about 3.5MB in its
......
......@@ -3234,7 +3234,10 @@ dist/base/t/fields.t See if fields work
dist/base/t/fields-5_6_0.t See if fields work
dist/base/t/fields-5_8_0.t See if fields work
dist/base/t/fields-base.t See if fields work
dist/base/t/incdot.t Test how base.pm handles '.' in @INC
dist/base/t/isa.t See if base's behaviour doesn't change
dist/base/t/lib/BaseIncMandatory.pm Test module for base.pm
dist/base/t/lib/BaseIncOptional.pm Test module for base.pm
dist/base/t/lib/Broken.pm Test module for base.pm
dist/base/t/lib/Dummy.pm Test module for base.pm
dist/base/t/lib/HasSigDie.pm Module for testing base.pm
......@@ -4929,8 +4932,11 @@ pod/perl5220delta.pod Perl changes in version 5.22.0
pod/perl5221delta.pod Perl changes in version 5.22.1
pod/perl5222delta.pod Perl changes in version 5.22.2
pod/perl5223delta.pod Perl changes in version 5.22.3
pod/perl5224delta.pod Perl changes in version 5.22.4
pod/perl5240delta.pod Perl changes in version 5.24.0
pod/perl5241delta.pod Perl changes in version 5.24.1
pod/perl5242delta.pod Perl changes in version 5.24.2
pod/perl5260delta.pod Perl changes in version 5.26.0
pod/perl561delta.pod Perl changes in version 5.6.1
pod/perl56delta.pod Perl changes in version 5.6
pod/perl581delta.pod Perl changes in version 5.8.1
......@@ -5512,6 +5518,7 @@ t/op/blocks.t See if BEGIN and friends work
t/op/bop.t See if bitops work
t/op/caller.pl Tests shared between caller.t and XS op.t
t/op/caller.t See if caller() works
t/op/catch.t See if catching exception works
t/op/chars.t See if character escapes work
t/op/chdir.t See if chdir works
t/op/chop.t See if chop works
......
......@@ -126,6 +126,6 @@
"url" : "http://perl5.git.perl.org/"
}
},
"version" : "5.026000",
"version" : "5.026001",
"x_serialization_backend" : "JSON::PP version 2.27400_02"
}
......@@ -113,5 +113,5 @@ resources:
homepage: http://www.perl.org/
license: http://dev.perl.org/licenses/
repository: http://perl5.git.perl.org/
version: '5.026000'
version: '5.026001'
x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
......@@ -570,7 +570,7 @@ esac
$spitshell >>$Makefile <<'!NO!SUBS!'
perltoc_pod_prereqs = extra.pods pod/perl5260delta.pod pod/perlapi.pod pod/perlintern.pod pod/perlmodlib.pod pod/perluniprops.pod
perltoc_pod_prereqs = extra.pods pod/perl5261delta.pod pod/perlapi.pod pod/perlintern.pod pod/perlmodlib.pod pod/perluniprops.pod
generated_pods = pod/perltoc.pod $(perltoc_pod_prereqs)
generated_headers = uudmap.h bitcount.h mg_data.h
......@@ -1120,9 +1120,9 @@ pod/perlintern.pod: $(MINIPERL_EXE) autodoc.pl embed.fnc
pod/perlmodlib.pod: $(MINIPERL_EXE) pod/perlmodlib.PL MANIFEST
$(MINIPERL) pod/perlmodlib.PL -q
pod/perl5260delta.pod: pod/perldelta.pod
$(RMS) pod/perl5260delta.pod
$(LNS) perldelta.pod pod/perl5260delta.pod
pod/perl5261delta.pod: pod/perldelta.pod
$(RMS) pod/perl5261delta.pod
$(LNS) perldelta.pod pod/perl5261delta.pod
extra.pods: $(MINIPERL_EXE)
-@test ! -f extra.pods || rm -f `cat extra.pods`
......
......@@ -86,7 +86,7 @@ NLM_VERSION = 3,20,0
# Here comes the CW tools - TO BE FILLED TO BUILD WITH CW -
MODULE_DESC = "Perl 5.26.0 for NetWare"
MODULE_DESC = "Perl 5.26.1 for NetWare"
CCTYPE = CodeWarrior
C_COMPILER = mwccnlm -c
CPP_COMPILER = mwccnlm
......@@ -462,7 +462,7 @@ INST_NW_TOP2 = $(INST_NW_DRV)\perl
# versioned installation can be obtained by setting INST_TOP above to a
# path that includes an arbitrary version string.
#
INST_VER = \5.26.0
INST_VER = \5.26.1
#
# Comment this out if you DON'T want your perl installation to have
......
......@@ -1042,7 +1042,7 @@
* This symbol contains the ~name expanded version of ARCHLIB, to be used
* in programs that are not prepared to deal with ~ expansion at run-time.
*/
#define ARCHLIB "c:\\perl\\5.26.0\\lib\\NetWare-x86-multi-thread" /**/
#define ARCHLIB "c:\\perl\\5.26.1\\lib\\NetWare-x86-multi-thread" /**/
/*#define ARCHLIB_EXP "" /**/
/* ARCHNAME:
......@@ -1073,8 +1073,8 @@
* This symbol is the filename expanded version of the BIN symbol, for
* programs that do not want to deal with that at run-time.
*/
#define BIN "c:\\perl\\5.26.0\\bin\\NetWare-x86-multi-thread" /**/
#define BIN_EXP "c:\\perl\\5.26.0\\bin\\NetWare-x86-multi-thread" /**/
#define BIN "c:\\perl\\5.26.1\\bin\\NetWare-x86-multi-thread" /**/
#define BIN_EXP "c:\\perl\\5.26.1\\bin\\NetWare-x86-multi-thread" /**/
/* BYTEORDER:
* This symbol holds the hexadecimal constant defined in byteorder,
......@@ -3088,7 +3088,7 @@
* This symbol contains the ~name expanded version of SITEARCH, to be used
* in programs that are not prepared to deal with ~ expansion at run-time.
*/
#define SITEARCH "c:\\perl\\site\\5.26.0\\lib\\NetWare-x86-multi-thread" /**/
#define SITEARCH "c:\\perl\\site\\5.26.1\\lib\\NetWare-x86-multi-thread" /**/
/*#define SITEARCH_EXP "" /**/
/* SITELIB:
......@@ -3111,7 +3111,7 @@
* removed. The elements in inc_version_list (inc_version_list.U) can
* be tacked onto this variable to generate a list of directories to search.
*/
#define SITELIB "c:\\perl\\site\\5.26.0\\lib" /**/
#define SITELIB "c:\\perl\\site\\5.26.1\\lib" /**/
/*#define SITELIB_EXP "" /**/
#define SITELIB_STEM "" /**/
......
......@@ -81,6 +81,7 @@ if ($exclude_upstream) {
# usually because they pull in their version from some other file.
my %skip;
@skip{
'cpan/ExtUtils-Install/t/lib/MakeMaker/Test/Setup/BFD.pm', # just a test module
'cpan/ExtUtils-MakeMaker/t/lib/MakeMaker/Test/Setup/BFD.pm', # just a test module
'cpan/ExtUtils-MakeMaker/t/lib/MakeMaker/Test/Setup/XS.pm', # just a test module
'cpan/IO-Compress/lib/File/GlobMapper.pm', # upstream needs to supply $VERSION
......
......@@ -43,8 +43,8 @@ api_subversion='0'
api_version='26'
api_versionstring='5.26.0'
ar='ar'
archlib='/tmp/mblead/lib/perl5/5.26.0/darwin-2level'
archlibexp='/tmp/mblead/lib/perl5/5.26.0/darwin-2level'
archlib='/tmp/mblead/lib/perl5/5.26.1/darwin-2level'
archlibexp='/tmp/mblead/lib/perl5/5.26.1/darwin-2level'
archname64=''
archname='darwin-2level'
archobjs=''
......@@ -846,7 +846,7 @@ incpath=''
incpth='/usr/local/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/6.0/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include /usr/include /usr/local/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/6.0/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include /usr/include /usr/local/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/6.0/include /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include /usr/include'
inews=''
initialinstalllocation='/tmp/mblead/bin'
installarchlib='/tmp/mblead/lib/perl5/5.26.0/darwin-2level'
installarchlib='/tmp/mblead/lib/perl5/5.26.1/darwin-2level'
installbin='/tmp/mblead/bin'
installhtml1dir=''
installhtml3dir=''
......@@ -854,13 +854,13 @@ installman1dir='/tmp/mblead/man/man1'
installman3dir='/tmp/mblead/man/man3'
installprefix='/tmp/mblead'
installprefixexp='/tmp/mblead'
installprivlib='/tmp/mblead/lib/perl5/5.26.0'
installprivlib='/tmp/mblead/lib/perl5/5.26.1'
installscript='/tmp/mblead/bin'
installsitearch='/tmp/mblead/lib/perl5/site_perl/5.26.0/darwin-2level'
installsitearch='/tmp/mblead/lib/perl5/site_perl/5.26.1/darwin-2level'
installsitebin='/tmp/mblead/bin'
installsitehtml1dir=''
installsitehtml3dir=''
installsitelib='/tmp/mblead/lib/perl5/site_perl/5.26.0'
installsitelib='/tmp/mblead/lib/perl5/site_perl/5.26.1'
installsiteman1dir='/tmp/mblead/man/man1'
installsiteman3dir='/tmp/mblead/man/man3'
installsitescript='/tmp/mblead/bin'
......@@ -985,7 +985,7 @@ perl_patchlevel=''
perl_static_inline='static __inline__'
perladmin='aaron@daybreak.nonet'
perllibs='-lpthread -ldl -lm -lutil -lc'
perlpath='/tmp/mblead/bin/perl5.26.0'
perlpath='/tmp/mblead/bin/perl5.26.1'
pg='pg'
phostname='hostname'
pidtype='pid_t'
......@@ -994,8 +994,8 @@ pmake=''
pr=''
prefix='/tmp/mblead'
prefixexp='/tmp/mblead'
privlib='/tmp/mblead/lib/perl5/5.26.0'
privlibexp='/tmp/mblead/lib/perl5/5.26.0'
privlib='/tmp/mblead/lib/perl5/5.26.1'
privlibexp='/tmp/mblead/lib/perl5/5.26.1'
procselfexe=''
prototype='define'
ptrsize='8'
......@@ -1061,17 +1061,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 6, 0'
sig_size='33'
signal_t='void'
sitearch='/tmp/mblead/lib/perl5/site_perl/5.26.0/darwin-2level'
sitearchexp='/tmp/mblead/lib/perl5/site_perl/5.26.0/darwin-2level'
sitearch='/tmp/mblead/lib/perl5/site_perl/5.26.1/darwin-2level'
sitearchexp='/tmp/mblead/lib/perl5/site_perl/5.26.1/darwin-2level'
sitebin='/tmp/mblead/bin'
sitebinexp='/tmp/mblead/bin'
sitehtml1dir=''
sitehtml1direxp=''
sitehtml3dir=''
sitehtml3direxp=''
sitelib='/tmp/mblead/lib/perl5/site_perl/5.26.0'
sitelib='/tmp/mblead/lib/perl5/site_perl/5.26.1'
sitelib_stem='/tmp/mblead/lib/perl5/site_perl'
sitelibexp='/tmp/mblead/lib/perl5/site_perl/5.26.0'
sitelibexp='/tmp/mblead/lib/perl5/site_perl/5.26.1'
siteman1dir='/tmp/mblead/man/man1'
siteman1direxp='/tmp/mblead/man/man1'
siteman3dir='/tmp/mblead/man/man3'
......@@ -1097,7 +1097,7 @@ src='.'
ssizetype='ssize_t'
st_ino_sign='1'
st_ino_size='8'
startperl='#!/tmp/mblead/bin/perl5.26.0'
startperl='#!/tmp/mblead/bin/perl5.26.1'
startsh='#!/bin/sh'
static_ext=' '
stdchar='char'
......@@ -1110,7 +1110,7 @@ stdio_stream_array=''
strerror_r_proto='0'
strings='/usr/include/string.h'
submit=''
subversion='0'
subversion='1'
sysman='/usr/share/man/man1'
sysroot=''
tail=''
......@@ -1209,8 +1209,8 @@ vendorprefix=''
vendorprefixexp=''
vendorscript=''
vendorscriptexp=''
version='5.26.0'
version_patchlevel_string='version 26 subversion 0'
version='5.26.1'
version_patchlevel_string='version 26 subversion 1'
versiononly='define'
vi=''
xlibpth='/usr/lib/386 /lib/386'
......@@ -1220,7 +1220,7 @@ zcat=''
zip='zip'
PERL_REVISION=5
PERL_VERSION=26
PERL_SUBVERSION=0
PERL_SUBVERSION=1
PERL_API_REVISION=5
PERL_API_VERSION=26
PERL_API_SUBVERSION=0
......
......@@ -960,8 +960,8 @@
* This symbol contains the ~name expanded version of ARCHLIB, to be used
* in programs that are not prepared to deal with ~ expansion at run-time.
*/
#define ARCHLIB "/pro/lib/perl5/5.26.0/i686-linux-64int-ld" /**/
#define ARCHLIB_EXP "/pro/lib/perl5/5.26.0/i686-linux-64int-ld" /**/
#define ARCHLIB "/pro/lib/perl5/5.26.1/i686-linux-64int-ld" /**/
#define ARCHLIB_EXP "/pro/lib/perl5/5.26.1/i686-linux-64int-ld" /**/
/* ARCHNAME:
* This symbol holds a string representing the architecture name.
......@@ -2068,8 +2068,8 @@
* This symbol contains the ~name expanded version of PRIVLIB, to be used
* in programs that are not prepared to deal with ~ expansion at run-time.
*/
#define PRIVLIB "/pro/lib/perl5/5.26.0" /**/
#define PRIVLIB_EXP "/pro/lib/perl5/5.26.0" /**/
#define PRIVLIB "/pro/lib/perl5/5.26.1" /**/
#define PRIVLIB_EXP "/pro/lib/perl5/5.26.1" /**/
/* PTRSIZE:
* This symbol contains the size of a pointer, so that the C preprocessor
......@@ -2119,8 +2119,8 @@
* This symbol contains the ~name expanded version of SITEARCH, to be used
* in programs that are not prepared to deal with ~ expansion at run-time.
*/
#define SITEARCH "/pro/lib/perl5/site_perl/5.26.0/i686-linux-64int-ld" /**/
#define SITEARCH_EXP "/pro/lib/perl5/site_perl/5.26.0/i686-linux-64int-ld" /**/
#define SITEARCH "/pro/lib/perl5/site_perl/5.26.1/i686-linux-64int-ld" /**/
#define SITEARCH_EXP "/pro/lib/perl5/site_perl/5.26.1/i686-linux-64int-ld" /**/
/* SITELIB:
* This symbol contains the name of the private library for this package.
......@@ -2142,8 +2142,8 @@
* removed. The elements in inc_version_list (inc_version_list.U) can
* be tacked onto this variable to generate a list of directories to search.
*/
#define SITELIB "/pro/lib/perl5/site_perl/5.26.0" /**/
#define SITELIB_EXP "/pro/lib/perl5/site_perl/5.26.0" /**/
#define SITELIB "/pro/lib/perl5/site_perl/5.26.1" /**/
#define SITELIB_EXP "/pro/lib/perl5/site_perl/5.26.1" /**/
#define SITELIB_STEM "/pro/lib/perl5/site_perl" /**/
/* SSize_t:
......@@ -4282,7 +4282,7 @@
* script to make sure (one hopes) that it runs with perl and not
* some shell.
*/
#define STARTPERL "#!/pro/bin/perl5.26.0" /**/
#define STARTPERL "#!/pro/bin/perl5.26.1" /**/
/* HAS_STDIO_STREAM_ARRAY:
* This symbol, if defined, tells that there is an array
......
This diff is collapsed.
......@@ -378,7 +378,7 @@ here.
XXX Generate this with:
perl Porting/acknowledgements.pl v5.25.5..HEAD
perl Porting/acknowledgements.pl v5.26.1..HEAD
=head1 Reporting Bugs
......
......@@ -1040,6 +1040,11 @@ Bootstrap the CPAN client on the clean install:
=head4 Install the Inline module with CPAN and test it
If you're using C<local::lib>, you should reset your environment before
performing these actions:
$ unset PERL5LIB PERL_MB_OPT PERL_LOCAL_LIB_ROOT PERL_MM_OPT
Try installing a popular CPAN module that's reasonably complex and that
has dependencies; for example:
......
......@@ -11,23 +11,27 @@ release schedules for the next, current and previous stable versions
of Perl. Dates with two or more question marks will only be releases if
deemed necessary by the Pumpking.
=head2 Perl 5.26
=head2 Perl 5.28
Code freezes (which happen in the 5.25.X series)
Code freezes (which happen in the 5.27.X series)
2016-12-20 5.25.8 Contentious changes freeze
2017-01-20 5.25.9 User-visible changes to correctly
2017-12-20 5.27.8 Contentious changes freeze
2018-01-20 5.27.9 User-visible changes to correctly
functioning programs freeze
2017-02-20 5.25.10 Full code freeze
2017-03-20 5.25.11 Full code freeze
2017-04-20 5.25.12 Full code freeze
2017-05-20 5.26.0 Stable release!
2018-02-20 5.27.10 Full code freeze
2018-04-20 5.28.0 Stable release!
=head2 Perl 5.26
2017-05-30 5.26.0 ✓ Sawyer X
2017-09-?? 5.26.1 Steve Hay
=head2 Perl 5.24
2016-05-09 5.24.0 ✓ Ricardo Signes
2017-01-14 5.24.1 ✓ Steve Hay
2017-02-?? 5.24.2 Steve Hay
2017-07-15 5.24.2 ✓ Steve Hay
2017-10-?? 5.24.3 Steve Hay
=head2 Perl 5.22
......@@ -35,7 +39,7 @@ Code freezes (which happen in the 5.25.X series)
2015-12-13 5.22.1 ✓ Steve Hay
2016-04-29 5.22.2 ✓ Steve Hay
2017-01-14 5.22.3 ✓ Steve Hay
2017-02-?? 5.22.4 Steve Hay
2017-07-15 5.22.4 ✓ Steve Hay
=head1 DEVELOPMENT RELEASE SCHEDULE
......@@ -51,23 +55,21 @@ When shipping a release, you should include the schedule for (at least)
the next four releases. If a stable version of Perl is released,
you should reset the version numbers to the next blead series.
=head2 Perl 5.25
2016-04-08 5.25.0 ✓ Ricardo Signes
2016-05-20 5.25.1 ✓ Sawyer X
2016-06-20 5.25.2 ✓ Matthew Horsfall
2016-07-20 5.25.3 ✓ Steve Hay
2016-08-20 5.25.4 ✓ BinGOs
2016-09-20 5.25.5 ✓ Stevan Little
2016-10-20 5.25.6 ✓ Aaron Crane
2016-11-20 5.25.7 ✓ Chad Granum
2016-12-20 5.25.8 ✓ Sawyer X
2017-01-20 5.25.9 ✓ Abigail
2017-02-20 5.25.10 ✓ Renée Bäcker
2017-03-20 5.25.11 ✓ Sawyer X
2017-04-20 5.25.12 ✓ Sawyer X
(RC0 for 5.26.0 will be released once we think that all the blockers have been
=head2 Perl 5.27
2017-05-31 5.27.0 ✓ Sawyer X
2017-06-20 5.27.1 ✓ Eric Herman
2017-07-20 5.27.2 ✓ Aaron Crane
2017-08-20 5.27.3 ✓ Matthew Horsfall
2017-09-20 5.27.4 ✓ John Anderson
2017-10-20 5.27.5 Steve Hay
2017-11-20 5.27.6 Karen Etheridge
2017-12-20 5.27.7 BinGOs
2018-01-20 5.27.8 Abigail
2018-02-20 5.27.9 ?
2018-03-20 5.27.10 ?
(RC0 for 5.28.0 will be released once we think that all the blockers have been
addressed. This typically means some time in April or May.)
=head1 VICTIMS
......
......@@ -485,7 +485,7 @@ Natively 64-bit systems need neither -Duse64bitint nor -Duse64bitall.
On these systems, it might be the default compilation mode, and there
is currently no guarantee that passing no use64bitall option to the
Configure process will build a 32bit perl. Implementing -Duse32bit*
options would be nice for perl 5.26.0.
options would be nice for perl 5.26.1.
=head2 Profile Perl - am I hot or not?
......@@ -1205,7 +1205,7 @@ L<http://www.xray.mpe.mpg.de/mailing-lists/perl5-porters/2013-01/msg00339.html>
=head1 Big projects
Tasks that will get your name mentioned in the description of the "Highlights
of 5.26.0"
of 5.26.1"
=head2 make ithreads more robust
......
......@@ -22,9 +22,9 @@ The build procedure is completely standard:
Make perl executable and create a symlink for libperl:
chmod a+x /boot/common/bin/perl
cd /boot/common/lib; ln -s perl5/5.26.0/BePC-haiku/CORE/libperl.so .
cd /boot/common/lib; ln -s perl5/5.26.1/BePC-haiku/CORE/libperl.so .